
;Defines the window for the gui and its characteristics
#NoEnv
#Persistent
#SingleInstance, force
SendMode Input
SetWorkingDir %A_ScriptDir%  
SetWinDelay, 0
SetTitleMatchMode, 3
SetControlDelay, 0
SetWinDelay, 0
SetMouseDelay,0
CoordMode, MOUSE, Screen
Menu Tray, icon, Start_Icon.ico
DetectHiddenWindows, Off
AutoTrim, Off
Gui +LastFound +AlwaysOnTop -caption +ToolWindow  
Gui, Margin, 0, 0
GUI, -DPISCALE
;WinSet, Transparent, 150




;Defines the various buttons to appear in the gui and their linked subroutines via "vState#"
Gui, Add, Picture, x0 y0 w33 h33 vState4 gBarToggle, png/photoshoplogo.tif
Gui, Add, Picture, x0 y0 w33 h33 vState5 gBarToggle, png/Sai.tif
	Gui, Add, Picture, x33 y0 w33 h33 vState30 gSAIToggle_Switch4, png/rolldown.tif
	Gui, Add, Picture, x33 y0 w33 h33 vState31 gSAIToggle_Switch4, png/rollup.tif
Gui, Add, Picture, x33 y0 w33 h33 vState8 gPSToggle_Switch4, png/rolldown.tif
Gui, Add, Picture, x33 y0 w33 h33 vState7 gPSToggle_Switch4, png/rollup.tif
Gui, Add, Picture, x66 y0 w34 h33 gGuiMove, png/move.tif

Gui, Add, Picture, x0 y33 w50 h50 vstate10 gPS3, png/eraser.tif
Gui, Add, Picture, x50 y33 w50 h50 vState2 gPS2, png/pen.tif
	Gui, Add, Picture, x0 y33 w50 h50 vstate11 gSAI3, png/eraser.tif
	Gui, Add, Picture, x50 y33 w50 h50 vState3 gSAI2, png/pencil.tif

Gui, Add, Picture, x0 y83 w50 h50 vState0 gPSToggle_Transform, png/transformdown.tif
Gui, Add, Picture, x0 y83 w50 h50 vState1 gPSToggle_Transform, png/transform.tif
Gui, Add, Picture, x50 y83 w50 h50 vstate12 gPS4, png/lasso.tif
	Gui, Add, Picture, x0 y83 w50 h50 vstate35 gSAI41, png/brush.tif
	Gui, Add, Picture, x50 y83 w50 h50 vstate13 gSAI7, png/pen.tif

Gui, Add, Picture, x0 y133 w50 h50 vstate14 gPS6, png/undo.tif
Gui, Add, Picture, x50 y133 w50 h50 vstate16 gPS7, png/moveselection.tif
	Gui, Add , Picture, x0 y133 w50 h50 vState26 gSAIToggle_Transform, png/transformdown.tif
	Gui, Add , Picture, x0 y133 w50 h50 vState27 gSAIToggle_Transform, png/transform.tif
	Gui, Add, Picture, x50 y133 w50 h50 vstate34 gSAI4, png/lasso.tif

Gui, Add, Picture, x0 y183 w50 h50 vstate18 gPS8, png/zoomin.tif
Gui, Add, Picture, x50 y183 w50 h50 vstate20 gPS9, png/zoomout.tif
	Gui, Add, Picture, x0 y183 w50 h50 vstate15 gSAI6, png/undo.tif
	Gui, Add, Picture, x50 y183 w50 h50 vState29 gSAI42, png/brushplusminus.tif


Gui, Add, Picture, x0 y233 w50 h50 vstate22 gPS10, png/fullscreen.tif
Gui, Add, Picture, x50 y233 w50 h50 vstate24 gPS11, png/pan.tif
	Gui, Add, Picture, x0 y233 w50 h50 vstate23 gSAI10, png/fullscreen.tif
	Gui, Add, Picture, x50 y233 w50 h50 vstate25 gSAI11, png/pan.tif

	Gui, Add, Picture, x0 y283 w50 h50 vState32 gSAI14, png/normal.tif
	Gui, Add, Picture, x50 y283 w50 h50 vState33 gSAI15, png/rotate.tif

	Gui, Add, Picture, x0 y333 w50 h50 vstate21 gSAI9, png/zoomout.tif
	Gui, Add, Picture, x50 y333 w50 h50 vstate19 gSAI8, png/zoomin.tif

pssaitoggle=1
barToggle=0
Gosub,DefinePS

;Shows and hides the various buttons for the inital appearance of the Bar



;This routine switches between the Photoshop and Sai bar.

BarToggle:
if pssaitoggle=1
{
ifWinExist, ahk_class Photoshop
WinActivate, ahk_class Photoshop
send {space up}
If barToggle=1 
 {
Gui, Show, h33, w100
GuiControl, Hide, State5
GuiControl, Show, State4
GuiControl, Hide, State7
GuiControl, Show, State8
GuiControl, Hide, State30
GuiControl, Hide, State31
Gosub,DefinePS
pssaitoggle=0
return
 }
Gui, Show, h283, w100
Gosub,DefinePS
GuiControl, Show, State7
GuiControl, Hide, State8
GuiControl, Hide, State30
GuiControl, Hide, State31
pssaitoggle=0
}
else
{
ifWinExist, ahk_class sfl_window_class
WinActivate, ahk_class sfl_window_class
send {space up}
If barToggle=1
 {
Gui, Show, h33, w100
GuiControl, Hide, State4
GuiControl, Show, State5
GuiControl, Hide, State7
GuiControl, Hide, State8
GuiControl, Show, State30
GuiControl, Hide, State31
Gosub,DefineSai
pssaitoggle=1
return
 }
Gui, Show, h383, w100
GuiControl, Hide, State7
GuiControl, Hide, State8
GuiControl, Hide, State30
GuiControl, Show, State31
Gosub,DefineSai
pssaitoggle=1
}
return





;The hide/show button routine

PSToggle_Switch4:
If barToggle=0
{
GuiControl, Hide, State7
GuiControl, Show, State8
GuiControl, Hide, State30
GuiControl, Hide, State31
Gui, Show, h33, w100
barToggle=1
}
Else
{
GuiControl, Hide, State8
GuiControl, Show, State7
GuiControl, Hide, State30
GuiControl, Hide, State31
Gui, Show, h283, w100
barToggle=0
}
Return
SAIToggle_Switch4:
If barToggle=0
{
GuiControl, Hide, State31
GuiControl, Show, State30
GuiControl, Hide, State8
GuiControl, Hide, State7
Gui, Show, h33, w100
barToggle=1
}
Else
{
GuiControl, Hide, State30
GuiControl, Show, State31
GuiControl, Hide, State8
GuiControl, Hide, State7
Gui, Show, h383, w100
barToggle=0
}
Return





;The Move Tab

GuiMove:
PostMessage, 0xA1, 2,,, A
Return





;Brush tools.

PS2:
ifWinExist, ahk_class Photoshop
WinActivate, ahk_class Photoshop
send {space up}
send {b}
Return

SAI2:
ifWinExist, ahk_class sfl_window_class
WinActivate, ahk_class sfl_window_class
send {space up}
send {b}
return

SAI41:
ifWinExist, ahk_class sfl_window_class
WinActivate, ahk_class sfl_window_class
send {space up}
send {c}
return

SAI7:
ifWinExist, ahk_class sfl_window_class
WinActivate, ahk_class sfl_window_class
send {space up}
send {w}
return






;Eraser

PS3:
ifWinExist, ahk_class Photoshop
WinActivate, ahk_class Photoshop
send {space up}
send {e}
Return

SAI3:
ifWinExist, ahk_class sfl_window_class
WinActivate, ahk_class sfl_window_class
send {space up}
send {q}
return





;Lasso selection tool

PS4:
ifWinExist, ahk_class Photoshop
WinActivate, ahk_class Photoshop
send {space up}
send {l}
Return

SAI4:
ifWinExist, ahk_class sfl_window_class
WinActivate, ahk_class sfl_window_class
send {space up}
send {l}
return





;Undo

PS6:
ifWinExist, ahk_class Photoshop
WinActivate, ahk_class Photoshop
send {space up}
send ^!z
return

SAI6:
ifWinExist, ahk_class sfl_window_class
WinActivate, ahk_class sfl_window_class
send {space up}
send ^z
return





;Move Selection Tool
PS7:
ifWinExist, ahk_class Photoshop
WinActivate, ahk_class Photoshop
send {space up}
send {v}
return





;Zoom in

PS8:
ifWinExist, ahk_class Photoshop
WinActivate, ahk_class Photoshop
send {space up}
send ^{=}
return

SAI8:
ifWinExist, ahk_class sfl_window_class
WinActivate, ahk_class sfl_window_class
send {space up}
send ^{=}
return





;Zoom out

PS9:
ifWinExist, ahk_class Photoshop
WinActivate, ahk_class Photoshop
send {space up}
send ^{-}
return

SAI9:
ifWinExist, ahk_class sfl_window_class
WinActivate, ahk_class sfl_window_class
send {space up}
send ^{-}
return





;Full Screen

PS10:
ifWinExist, ahk_class Photoshop
WinActivate, ahk_class Photoshop
send {space up}
send {f}
Gui +LastFound +AlwaysOnTop -caption +ToolWindow
return

SAI10:
ifWinExist, ahk_class sfl_window_class
WinActivate, ahk_class sfl_window_class
send {space up}
send {tab}
Gui +LastFound +AlwaysOnTop -caption +ToolWindow
return





;Hand Tool, toggle on.
;The "{space up}" call sent from every other command is how the Hand Tool is toggled off. 

PS11:
ifWinExist, ahk_class Photoshop
WinActivate, ahk_class Photoshop
send {h}
return

SAI11:
ifWinExist, ahk_class sfl_window_class
WinActivate, ahk_class sfl_window_class
send {space down}
return




;Brush increas/decrease slider function
SAI42:
ifWinExist, ahk_class sfl_window_class
WinActivate, ahk_class sfl_window_class
send {ctrl down}{alt down}
sleep 1000
KeyWait, Lbutton, U
send {ctrl up}{alt up}
sleep 50
WinSet, AlwaysOnTop, ON, ahk_class AutoHotkeyGUI
return



;Brush increase size

SAI12:
ifWinExist, ahk_class sfl_window_class
WinActivate, ahk_class sfl_window_class
send {space up}
send [
return





;Brush decrease size

SAI13:
ifWinExist, ahk_class sfl_window_class
WinActivate, ahk_class sfl_window_class
send {space up}
send ]
return





;Reset Canvas Rotation to Zero Degrees

SAI14:
ifWinExist, ahk_class sfl_window_class
WinActivate, ahk_class sfl_window_class
send {space up}
send {Insert} 
return





;Canvas Rotation Tool

SAI15:
ifWinExist, ahk_class sfl_window_class
WinActivate, ahk_class sfl_window_class
send {space up}
send {r}
return





;Transform Selection and Button Toggle Routine for Photoshop

PSToggle_Transform:
If PStransToggle=0
{
ifWinExist, ahk_class Photoshop
WinActivate, ahk_class Photoshop
GuiControl, Hide, State0
GuiControl, Show, State1
send {space up}
send {Enter}
PStransToggle=1
}
Else
{
ifWinExist, ahk_class Photoshop
WinActivate, ahk_class Photoshop
GuiControl, Hide, State1
GuiControl, Show, State0
send {space up}
send ^t
PStransToggle=0
}
Return


;Transform Selection and Button Toggle Routine for Sai

SAIToggle_Transform:
If SAItransToggle=0
{
ifWinExist, ahk_class sfl_window_class
WinActivate, ahk_class sfl_window_class
GuiControl, Hide, State26
GuiControl, Show, State27
send {space up}
send {Enter}
send ^d
SAItransToggle=1
}
Else
{
ifWinExist, ahk_class sfl_window_class
WinActivate, ahk_class sfl_window_class
GuiControl, Hide, State27
GuiControl, Show, State26
send {space up}
send ^t
SAItransToggle=0
}
Return






;Subroutine called on to define the main button states for Photoshop

DefinePS:

GuiControl, Hide, State0
GuiControl, Hide, State3
GuiControl, Hide, State5
GuiControl, Hide, State11
GuiControl, Hide, State13
GuiControl, Hide, State15
GuiControl, Hide, State17
GuiControl, Hide, State19
GuiControl, Hide, State21
GuiControl, Hide, State23
GuiControl, Hide, State25
GuiControl, Hide, State26
GuiControl, Hide, State27
GuiControl, Hide, State28
GuiControl, Hide, State29
GuiControl, Hide, State32
GuiControl, Hide, State33
GuiControl, Hide, State34
GuiControl, Hide, State35

GuiControl, Show, State1
GuiControl, Show, State2
GuiControl, Show, State4
GuiControl, Show, State10
GuiControl, Show, State12
GuiControl, Show, State14
GuiControl, Show, State16
GuiControl, Show, State18
GuiControl, Show, State20
GuiControl, Show, State22
GuiControl, Show, State24

Return





;Subroutine called on to define the main button states for Sai

DefineSai:

GuiControl, Hide, State0
GuiControl, Hide, State1
GuiControl, Hide, State2
GuiControl, Hide, State4
GuiControl, Hide, State10
GuiControl, Hide, State12
GuiControl, Hide, State14
GuiControl, Hide, State16
GuiControl, Hide, State18
GuiControl, Hide, State20
GuiControl, Hide, State22
GuiControl, Hide, State24
GuiControl, Hide, State26

GuiControl, Show, State3
GuiControl, Show, State5
GuiControl, Show, State11
GuiControl, Show, State13
GuiControl, Show, State15
GuiControl, Show, State17
GuiControl, Show, State19
GuiControl, Show, State21
GuiControl, Show, State23
GuiControl, Show, State25
GuiControl, Show, State27
GuiControl, Show, State28
GuiControl, Show, State29
GuiControl, Show, State32
GuiControl, Show, State33
GuiControl, Show, State34
GuiControl, Show, State35

return


